# FairMQ: fair::mq::sdk::cmd::PropertiesSet Struct Reference

fair::mq::sdk::cmd::PropertiesSet Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::PropertiesSet:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::PropertiesSet:
[legend]

## Public Member Functions

| PropertiesSet (std::string deviceId, std::size_t requestId, Result result)
auto | GetDeviceId () const -> std::string
auto | SetDeviceId (std::string deviceId) -> void
auto | GetRequestId () const -> std::size_t
auto | SetRequestId (std::size_t requestId) -> void
auto | GetResult () const -> Result
auto | SetResult (Result result) -> void
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy